import * as grpc from 'grpc';
import { ServiceClient } from '../client/api-service_grpc_pb';
import { TaskStream } from './task';
declare type Options = {
    token: string;
    mesgConfig: any;
    client: ServiceClient;
};
declare class Service {
    private token;
    private client;
    private mesgConfig;
    private tasks;
    constructor(options: Options);
    listenTask({ ...tasks }: Tasks): TaskStream;
    emitEvent(event: string, data: any): Promise<grpc.ServiceError | null>;
    private handleTaskData;
    private validateTaskNames;
}
interface Tasks {
    [task: string]: (inputs: TaskInputs, outputs: TaskOutputs) => void;
}
interface TaskInputs {
    [key: string]: any;
}
interface TaskOutputs {
    [key: string]: (input: TaskOutputCallbackInput) => Promise<void>;
}
interface TaskOutputCallbackInput {
    [key: string]: any;
}
export default Service;
export { Options, Tasks, TaskInputs, TaskOutputs, TaskOutputCallbackInput };
