import * as grpc from 'grpc';
import { TaskData } from '../client/api-service_pb';
declare interface TaskStream {
    cancel(): void;
    on(type: 'task', handler: (message: Task) => void): this;
    on(type: 'end', handler: (err: Error | null) => void): this;
}
declare type Task = {
    executionID: string;
    taskKey: string;
    inputData: any;
};
declare class TaskStream {
    private stream;
    private emitter;
    constructor(stream: grpc.ClientReadableStream<TaskData>);
}
export { TaskStream, Task };
