"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var events_1 = require("events");
var TaskStream = (function () {
    function TaskStream(stream) {
        var _this = this;
        this.emitter = new events_1.EventEmitter();
        this.stream = stream
            .on('data', function (data) {
            _this.emitter.emit('task', {
                executionID: data.getExecutionid(),
                taskKey: data.getTaskkey(),
                inputData: JSON.parse(data.getInputdata())
            });
        })
            .on('error', function (err) {
            _this.emitter.emit('end', err);
        })
            .on('end', function () {
            _this.emitter.emit('end', null);
        });
    }
    TaskStream.prototype.on = function (type, handler) {
        this.emitter.on(type, handler);
        return this;
    };
    TaskStream.prototype.cancel = function () {
        this.stream.cancel();
    };
    return TaskStream;
}());
exports.TaskStream = TaskStream;
//# sourceMappingURL=task.js.map